---
document: modulemd
version: 1
data:
    summary: storage-devices module
    description: >
        A collection of tools and libraries that handle storage and
        storage devices
    license:
        module: [MIT]
        content: []
    dependencies:
        buildrequires:
            platform: master
            autotools: master
            perl: master
        requires:
            platform: master
    references:
        community: https://github.com/modularity-modules/storage-devices
        documentation: https://github.com/modularity-modules/storage-devices
        tracker: https://github.com/modularity-modules/storage-devices
    profiles:
        default:
            rpms:
                - bcache-tools
                - ceph
                - ceph-base
                - ceph-common
                - ceph-mon
                - ceph-osd
                - ceph-mds
                - ceph-selinux
                - librbd1
                - libradosstriper1
                - python-cephfs
                - python-rados
                - python-rbd
                - librgw2
                - libcephfs1
    api:
        rpms:
            - bcache-tools
            - ceph
            - ceph-base
            - ceph-common
            - ceph-mon
            - ceph-osd
            - ceph-mds
            - ceph-selinux
            - librbd1
            - libradosstriper1
            - python-cephfs
            - python-rados
            - python-rbd
            - librgw2
            - libcephfs1
    filter: ~
    components:
        rpms:
            at:
                rationale: Generated.
                ref: f27
            avahi:
                rationale: Generated.
                ref: f27
            babel:
                rationale: Generated.
                ref: f27
            bcache-tools:
                rationale: Primary component of this module.
                ref: f27
            boost:
                rationale: Generated.
                ref: f27
            ceph:
                rationale: Primary component of this module.
                ref: f27
            cronie:
                rationale: Generated.
                ref: f27
            crontabs:
                rationale: Generated.
                ref: f27
            cups:
                rationale: Generated.
                ref: f27
            ed:
                rationale: Generated.
                ref: f27
            fcgi:
                rationale: Generated.
                ref: f27
            gperftools:
                rationale: Generated.
                ref: f27
            groff:
                rationale: Generated.
                ref: f27
            hdparm:
                rationale: Generated.
                ref: f27
            hesiod:
                rationale: Generated.
                ref: f27
            leveldb:
                rationale: Generated.
                ref: f27
            libpipeline:
                rationale: Generated.
                ref: f27
            libunwind:
                rationale: Generated.
                ref: f27
            lttng-ust:
                rationale: Generated.
                ref: f27
            mailx:
                rationale: Generated.
                ref: f27
            man-db:
                rationale: Generated.
                ref: f27
            procmail:
                rationale: Generated.
                ref: f27
            pyOpenSSL:
                rationale: Generated.
                ref: f27
            python-asn1crypto:
                rationale: Generated.
                ref: f27
            python-backports:
                rationale: Generated.
                ref: f27
            python-backports-ssl_match_hostname:
                rationale: Generated.
                ref: f27
            python-cffi:
                rationale: Generated.
                ref: f27
            python-chardet:
                rationale: Generated.
                ref: f27
            python-click:
                rationale: Generated.
                ref: f27
            python-cryptography:
                rationale: Generated.
                ref: f27
            python-enum34:
                rationale: Generated.
                ref: f27
            python-flask:
                rationale: Generated.
                ref: f27
            python-idna:
                rationale: Generated.
                ref: f27
            python-ipaddress:
                rationale: Generated.
                ref: f27
            python-itsdangerous:
                rationale: Generated.
                ref: f27
            python-jinja2:
                rationale: Generated.
                ref: f27
            python-markupsafe:
                rationale: Generated.
                ref: f27
            python-ply:
                rationale: Generated.
                ref: f27
            python-pycparser:
                rationale: Generated.
                ref: f27
            python-pysocks:
                rationale: Generated.
                ref: f27
            python-requests:
                rationale: Generated.
                ref: f27
            python-urllib3:
                rationale: Generated.
                ref: f27
            python-werkzeug:
                rationale: Generated.
                ref: f27
            pytz:
                rationale: Generated.
                ref: f27
            redhat-lsb:
                rationale: Generated.
                ref: f27
            sendmail:
                rationale: Generated.
                ref: f27
            star:
                rationale: Generated.
                ref: f27
